Skip to content

Determine if the user exists

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Determine if the user exists based on the conditions, you can filter the user name, email address, mobile phone number, third-party external ID, etc.

Method name

ManagementClient.isUserExists

Request Parameters

NameTypeRequiredDefault valueDescriptionSample value
usernamestringNo-Username, unique in the user poolbob
emailstringNo-Email address, case-insensitivetest@example.com
phonestringNo-Phone number without area code. If it is an overseas phone number, specify the area code in the phoneCountryCode parameter.188xxxx8888
externalIdstringNo-Third-party external ID10010

Example Code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Init ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.isUserExists({
    username: "bob",
    email: "test@example.com",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

type: IsUserExistsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (no return for successful requests). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsUserExistsDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "exists": true
  }
}

Data Structure

IsUserExistsDto

NameTypeIs this field required?DescriptionSample value
existsbooleanyesWhether the user existstrue

Agent infrastructure for identity, memory, and web action.